class Charcter:

    def __init__(self, name):
        self.name = name
        # hpとpowerは各クラス毎に異なる

    def attack(self, target):
        # 攻撃メッセージは各クラス毎に異なる
        target.hp -= self.power
        if target.hp <= 0:
            print('{0}が{1}を倒した!'.format(self.name, target.name))


class Fighter(Charcter):
    def __init__(self, name):
        super().__init__(name)
        self.hp = 100
        self.power = 100

    def attack(self, target):
        print('{0}が{1}へパンチ!'.format(self.name, target.name))
        super().attack(target)


class Fencor(Charcter):
    def __init__(self, name):
        super().__init__(name)
        self.hp = 100
        self.power = 100

    def attack(self, target):
        print('{0}が{1}を斬りつけた!!!'.format(self.name, target.name))
        super().attack(target)
