class Maze:
    UP = '1'
    RIGHT = '2'
    DOWN = '3'
    LEFT = '4'
    EXIT = '5'

    def __init__(self):
        self.game_map = [
            ['Y', '#', '#', '#'],
            [' ', '#', '#', '#'],
            [' ', '#', '#', '#'],
            [' ', ' ', ' ', 'G'],
        ]
        self.game_manual = '1.↑\t2.→\t3.↓\t4.←\t5.exit'
        self.y = 0
        self.x = 0
        self.goal_y = 3
        self.goal_x = 3
        self.width = len(self.game_map[0]) - 1
        self.height = len(self.game_map) - 1


def main():
    maze = Maze()
    maze.run()  # 迷路ゲーム開始


if __name__ == '__main__':
    main()
